Search found 16 matches

Go to advanced search

by silent_missile
Wed Mar 04, 2020 2:06 am
Forum: Python scripting and macros
Topic: intersect function doesn't work for repeat knot surface
Replies: 0
Views: 156

intersect function doesn't work for repeat knot surface

hello, here I find the intersect function doesn't work for some surface with repeat knot in this thread https://forum.freecadweb.org/viewtopic.php?f=22&t=43279 I developed a surface with unclamped end points and repeat internal knots, when I call toShape() function to it and display it, it works wel...
by silent_missile
Tue Mar 03, 2020 1:44 pm
Forum: Python scripting and macros
Topic: how to handle unclamped BSplineSurface
Replies: 15
Views: 642

Re: how to handle unclamped BSplineSurface

Thank you experts. To make your help more valuable, I took some more investigation about the algorithms. This is the reason why I reply so late. Mirror extending algorithms would bring in another NURBS curve to describe the extended part. If the user set the extend part to be another NURBS curve, th...
by silent_missile
Sat Feb 15, 2020 2:49 am
Forum: Python scripting and macros
Topic: how to handle unclamped BSplineSurface
Replies: 15
Views: 642

Re: how to handle unclamped BSplineSurface

thanks for your help, but the problem still exist, I need some more help here are some code, please help me to check the first function is extend_mirror_curve, this function follows https://www.sciencedirect.com/science/article/abs/pii/001044859190046Y I use an individual NURBS package geomdl, its h...
by silent_missile
Fri Feb 14, 2020 9:18 am
Forum: Python scripting and macros
Topic: how to handle unclamped BSplineSurface
Replies: 15
Views: 642

Re: how to handle unclamped BSplineSurface

everybody, please help me more. I tried wmayer's method, and I got a surface of the first set of points. In that set, the knots have some mults at the end point, but fewer than order+1, because I used A12.1 in page 577 in The NURBS Book 2nd , I need to convert it to unclamped data structure in appli...
by silent_missile
Tue Feb 11, 2020 10:16 am
Forum: Python scripting and macros
Topic: how to handle unclamped BSplineSurface
Replies: 15
Views: 642

Re: how to handle unclamped BSplineSurface

I need to extend the curve/surface, and the extended part is unclamped, this means I have to handle unclamped curve/surface

there is a "mults" parameter for knots, I thought OCCT/FreeCAD can handle it, but I'm disappointed.
by silent_missile
Tue Feb 11, 2020 7:46 am
Forum: Python scripting and macros
Topic: how to handle unclamped BSplineSurface
Replies: 15
Views: 642

how to handle unclamped BSplineSurface

normally we use clamped BSplineCurve and BSplineSurface because the end points locate on the end of the curve/surface. sometimes we have un-normal application, I need to model unclampled BSplineCurve/Surface, but I meet terrible mistake in FreeCAD. import FreeCAD import Part FreeCAD.newDocument("Unn...
by silent_missile
Fri Dec 20, 2019 1:48 am
Forum: Python scripting and macros
Topic: how to project a point to surface?
Replies: 1
Views: 150

how to project a point to surface?

I have an existing Part.BSplineSurface object, and a Part.Point object, now I want to project the point on to the surface, is there any API can do this?
by silent_missile
Fri Nov 29, 2019 11:49 am
Forum: Python scripting and macros
Topic: how to extend a BSpline and NURBS surface
Replies: 2
Views: 179

Re: how to extend a BSpline and NURBS surface

thank you wmayer I find the function in surface workbench, but it can't satisfy my requirement the operation can't set extension ratio, so I can't adjust the parameter and the operation can't be logged by the console, so I can't call it in script so it can't satisfy my requirement, it's not sufficient
by silent_missile
Fri Nov 29, 2019 5:22 am
Forum: Python scripting and macros
Topic: how to extend a BSpline and NURBS surface
Replies: 2
Views: 179

how to extend a BSpline and NURBS surface

here I have some requirement to extend the BSpline and NURBS surface I use help function to check the Part.BSplineCurve and Part.BSplineSurface but I can't find extend function in these two classes in OpenCASCADE src/GeomLib/GeomLib.h there is a function GeomLib::ExtendCurveToPoint, but I can't find...
by silent_missile
Wed Nov 06, 2019 3:29 am
Forum: Python scripting and macros
Topic: how to get a point on a curve with specific ratio or distance?
Replies: 1
Views: 159

how to get a point on a curve with specific ratio or distance?

Hello, I have some requirement to use FreeCAD, please help now I need to get a point on a Part.BSpline What I know is only the distance ratio from one end, I use help(Part.Curve) to read the comment, but I can't find any function can get a point with specific length ratio. u parameter is an alternat...

Go to advanced search